Bug 184944 - [fix] [patch] deskutils/cairo-dock-plugins fix build package error
[fix] [patch] deskutils/cairo-dock-plugins fix build package error
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Antoine Brodin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-17 18:40 UTC by Ivan Klymenko
Modified: 2013-12-24 10:28 UTC (History)
0 users

See Also:


Attachments
file.diff (743 bytes, patch)
2013-12-17 18:40 UTC, Ivan Klymenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Klymenko 2013-12-17 18:40:00 UTC
This patch / update mends build port the following problem:
http://beefy2.isc.freebsd.org/bulk/10amd64-quarterly/2013-12-16_15h18m43s/logs/cairo-dock-plugins-3.2.1.log

Fix: Patch attached with submission follows:
Comment 1 Antoine Brodin freebsd_committer 2013-12-23 19:07:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->antoine

Take
Comment 2 Ivan Klymenko 2013-12-23 19:17:19 UTC
Excuse me, I made =E2=80=8B=E2=80=8Ba mistake when creating a patch


diff --git a/cairo-dock-plugins/files/patch-CMakeLists.txt b/cairo-dock-plu=
gins/files/patch-CMakeLists.txt
new file mode 100644
index 0000000..50bb206
--- /dev/null
+++ b/cairo-dock-plugins/files/patch-CMakeLists.txt
@@ -0,0 +1,11 @@
+--- CMakeLists.txt.orig        2013-12-17 20:16:13.000000000 +0200
++++ CMakeLists.txt     2013-12-17 20:16:34.000000000 +0200
+@@ -717,7 +717,7 @@
+ enable_if_not_defined (enable-gmenu)
+ if (enable-gmenu)
+       set (GMENU_MODULE "libgnome-menu-3.0")
+-      set (GMENU_MODULE_OLD "libgnome-menu")
++      set (GMENU_MODULE_OLD "libgnome-menu gio-unix-2.0")
+       pkg_check_modules (GMENU_PACKAGE ${GMENU_MODULE})
+       if (NOT GMENU_PACKAGE_FOUND)
+               message (STATUS "Could not find ${GMENU_MODULE}; trying wit=
h an old version...")
Comment 3 dfilter freebsd_committer 2013-12-24 09:30:31 UTC
Author: antoine
Date: Tue Dec 24 09:30:23 2013
New Revision: 337323
URL: http://svnweb.freebsd.org/changeset/ports/337323

Log:
  - Fix build
  - Do not reinplace binary files (*.wav, *.jpg...)
  - Stage support
  
  PR:		ports/184944
  Submitted by:	Ivan Klymenko (maintainer)

Added:
  head/deskutils/cairo-dock-plugins/files/
  head/deskutils/cairo-dock-plugins/files/patch-CMakeLists.txt   (contents, props changed)
  head/deskutils/cairo-dock-plugins/files/patch-Dbus__interfaces__vala__CMakeLists.txt   (contents, props changed)
Modified:
  head/deskutils/cairo-dock-plugins/Makefile
  head/deskutils/cairo-dock-plugins/pkg-plist

Modified: head/deskutils/cairo-dock-plugins/Makefile
==============================================================================
--- head/deskutils/cairo-dock-plugins/Makefile	Tue Dec 24 08:20:21 2013	(r337322)
+++ head/deskutils/cairo-dock-plugins/Makefile	Tue Dec 24 09:30:23 2013	(r337323)
@@ -18,16 +18,14 @@ DATADIR=	${PREFIX}/share/cairo-dock
 
 ICONS_PACKAGE=	cairo-dock-plugins-png-icons
 GNU_CONFIGURE=	yes
-USE_GMAKE=	yes
-USE_GNOME=	gnomehack glib20 gtk20 librsvg2 libxml2
+USE_GNOME=	glib20 gtk20 librsvg2 libxml2
 USE_LDCONFIG=	yes
 USE_PYTHON=	yes
 USE_XORG=	xrender
-USE_DOS2UNIX=	YES
 USES=		cmake gettext pkgconfig
 LDFLAGS+=	-L${LOCALBASE}/lib
 PLIST_SUB+=	PYVER="${PYTHON_VERSION:S/thon//}"
-CMAKE_ARGS+=	-Dinstall-pc-path:STRING="${LOCALBASE}/libdata/pkgconfig"
+CMAKE_ARGS+=	-DROOT_PREFIX:PATH=${STAGEDIR}
 
 OPTIONS_DEFINE=		XFCE_INTEGRATION ALSA_MIXER GMENU \
 			KEYBOARD_INDICATOR IMPULSE \
@@ -44,14 +42,15 @@ WEBLETS_DESC=		Weblets applet
 
 OPTIONS_SUB=	yes
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 post-patch:
 	@${CP} -R ${WRKDIR}/${ICONS_PACKAGE}/* ${WRKSRC}
-	@${FIND} ${WRKSRC} -type f -name "*" | ${XARGS} ${REINPLACE_CMD} -i.orig -e \
+	@${FIND} ${WRKSRC} -type f \( -name "*.c" -o -name "*.conf" \
+		-o -name netspeed -o -name nvidia-config -o -name "*.sh" \
+		-o -name "*.rb" \) | ${XARGS} ${REINPLACE_CMD} -i.orig -e \
 	    's|/bin/bash|${LOCALBASE}/bin/bash|g; \
-	     s|/usr/bin/python|${LOCALBASE}/bin/python|g; \
+	     s|/usr/bin/python|${PYTHON_CMD}|g; \
 	     s|/usr/bin/ruby|${LOCALBASE}/bin/ruby|g; \
 	     s|/usr/share/applications|${LOCALBASE}/share/applications|g; \
 	     s|/usr/share/cairo-dock|${LOCALBASE}/share/cairo-dock|g'

Added: head/deskutils/cairo-dock-plugins/files/patch-CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/deskutils/cairo-dock-plugins/files/patch-CMakeLists.txt	Tue Dec 24 09:30:23 2013	(r337323)
@@ -0,0 +1,11 @@
+--- ./CMakeLists.txt.orig	2013-04-04 21:40:14.000000000 +0000
++++ ./CMakeLists.txt	2013-12-24 08:11:07.000000000 +0000
+@@ -717,7 +717,7 @@
+ enable_if_not_defined (enable-gmenu)
+ if (enable-gmenu)
+ 	set (GMENU_MODULE "libgnome-menu-3.0")
+-	set (GMENU_MODULE_OLD "libgnome-menu")
++	set (GMENU_MODULE_OLD "libgnome-menu gio-unix-2.0")
+ 	pkg_check_modules (GMENU_PACKAGE ${GMENU_MODULE})
+ 	if (NOT GMENU_PACKAGE_FOUND)
+ 		message (STATUS "Could not find ${GMENU_MODULE}; trying with an old version...")

Added: head/deskutils/cairo-dock-plugins/files/patch-Dbus__interfaces__vala__CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/deskutils/cairo-dock-plugins/files/patch-Dbus__interfaces__vala__CMakeLists.txt	Tue Dec 24 09:30:23 2013	(r337323)
@@ -0,0 +1,8 @@
+--- ./Dbus/interfaces/vala/CMakeLists.txt.orig	2013-03-23 15:55:27.000000000 +0000
++++ ./Dbus/interfaces/vala/CMakeLists.txt	2013-12-24 08:04:37.000000000 +0000
+@@ -62,4 +62,4 @@
+ add_subdirectory(src)
+ # .pc goes with others
+ configure_file (${CMAKE_CURRENT_SOURCE_DIR}/${CDAPPLET}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${CDAPPLET}.pc)
+-install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/${CDAPPLET}.pc DESTINATION ${libdir}/pkgconfig)
++install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/${CDAPPLET}.pc DESTINATION libdata/pkgconfig)

Modified: head/deskutils/cairo-dock-plugins/pkg-plist
==============================================================================
--- head/deskutils/cairo-dock-plugins/pkg-plist	Tue Dec 24 08:20:21 2013	(r337322)
+++ head/deskutils/cairo-dock-plugins/pkg-plist	Tue Dec 24 09:30:23 2013	(r337323)
@@ -45,7 +45,6 @@ lib/cairo-dock/libcd-weather.so
 lib/cairo-dock/libcd-wifi.so
 lib/cairo-dock/libcd_gnome-integration.so
 lib/libCDApplet.so
-lib/pkgconfig/CDApplet.pc
 %%XFCE_INTEGRATION%%lib/cairo-dock/libcd_xfce-integration.so
 %%PYTHON_SITELIBDIR%%/CDApplet.py
 %%PYTHON_SITELIBDIR%%/CDApplet.pyc
@@ -55,6 +54,7 @@ lib/pkgconfig/CDApplet.pc
 %%PYTHON_SITELIBDIR%%/CDBashApplet-1.0-%%PYVER%%.egg-info
 %%PYTHON_SITELIBDIR%%/CairoDock.py
 %%PYTHON_SITELIBDIR%%/CairoDock.pyc
+libdata/pkgconfig/CDApplet.pc
 share/locale/he/LC_MESSAGES/cairo-dock-plugins.mo
 share/locale/hr/LC_MESSAGES/cairo-dock-plugins.mo
 share/locale/fr/LC_MESSAGES/cairo-dock-plugins.mo
@@ -485,7 +485,6 @@ share/cairo-dock/plug-ins/Xgamma/icon.pn
 share/cairo-dock/plug-ins/Xgamma/preview.jpg
 share/vala/vapi/CDApplet.vapi
 share/vala/vapi/CDApplet.deps
-@dirrmtry lib/pkgconfig
 @dirrm share/cairo-dock/plug-ins/clock/digital/default
 @dirrm share/cairo-dock/plug-ins/clock/digital
 @dirrm share/cairo-dock/plug-ins/clock/themes/default
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter freebsd_committer 2013-12-24 09:33:37 UTC
Author: antoine
Date: Tue Dec 24 09:33:29 2013
New Revision: 337325
URL: http://svnweb.freebsd.org/changeset/ports/337325

Log:
  MFH: r337323
  
  - Fix build
  - Do not reinplace binary files (*.wav, *.jpg...)
  - Stage support
  
  PR:		ports/184944
  Submitted by:	Ivan Klymenko (maintainer)
  Approved by:	portmgr (implicit)

Added:
  branches/2014Q1/deskutils/cairo-dock-plugins/files/
     - copied from r337323, head/deskutils/cairo-dock-plugins/files/
Modified:
  branches/2014Q1/deskutils/cairo-dock-plugins/Makefile
  branches/2014Q1/deskutils/cairo-dock-plugins/pkg-plist
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/deskutils/cairo-dock-plugins/Makefile
==============================================================================
--- branches/2014Q1/deskutils/cairo-dock-plugins/Makefile	Tue Dec 24 09:32:47 2013	(r337324)
+++ branches/2014Q1/deskutils/cairo-dock-plugins/Makefile	Tue Dec 24 09:33:29 2013	(r337325)
@@ -18,16 +18,14 @@ DATADIR=	${PREFIX}/share/cairo-dock
 
 ICONS_PACKAGE=	cairo-dock-plugins-png-icons
 GNU_CONFIGURE=	yes
-USE_GMAKE=	yes
-USE_GNOME=	gnomehack glib20 gtk20 librsvg2 libxml2
+USE_GNOME=	glib20 gtk20 librsvg2 libxml2
 USE_LDCONFIG=	yes
 USE_PYTHON=	yes
 USE_XORG=	xrender
-USE_DOS2UNIX=	YES
 USES=		cmake gettext pkgconfig
 LDFLAGS+=	-L${LOCALBASE}/lib
 PLIST_SUB+=	PYVER="${PYTHON_VERSION:S/thon//}"
-CMAKE_ARGS+=	-Dinstall-pc-path:STRING="${LOCALBASE}/libdata/pkgconfig"
+CMAKE_ARGS+=	-DROOT_PREFIX:PATH=${STAGEDIR}
 
 OPTIONS_DEFINE=		XFCE_INTEGRATION ALSA_MIXER GMENU \
 			KEYBOARD_INDICATOR IMPULSE \
@@ -44,14 +42,15 @@ WEBLETS_DESC=		Weblets applet
 
 OPTIONS_SUB=	yes
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 post-patch:
 	@${CP} -R ${WRKDIR}/${ICONS_PACKAGE}/* ${WRKSRC}
-	@${FIND} ${WRKSRC} -type f -name "*" | ${XARGS} ${REINPLACE_CMD} -i.orig -e \
+	@${FIND} ${WRKSRC} -type f \( -name "*.c" -o -name "*.conf" \
+		-o -name netspeed -o -name nvidia-config -o -name "*.sh" \
+		-o -name "*.rb" \) | ${XARGS} ${REINPLACE_CMD} -i.orig -e \
 	    's|/bin/bash|${LOCALBASE}/bin/bash|g; \
-	     s|/usr/bin/python|${LOCALBASE}/bin/python|g; \
+	     s|/usr/bin/python|${PYTHON_CMD}|g; \
 	     s|/usr/bin/ruby|${LOCALBASE}/bin/ruby|g; \
 	     s|/usr/share/applications|${LOCALBASE}/share/applications|g; \
 	     s|/usr/share/cairo-dock|${LOCALBASE}/share/cairo-dock|g'

Modified: branches/2014Q1/deskutils/cairo-dock-plugins/pkg-plist
==============================================================================
--- branches/2014Q1/deskutils/cairo-dock-plugins/pkg-plist	Tue Dec 24 09:32:47 2013	(r337324)
+++ branches/2014Q1/deskutils/cairo-dock-plugins/pkg-plist	Tue Dec 24 09:33:29 2013	(r337325)
@@ -45,7 +45,6 @@ lib/cairo-dock/libcd-weather.so
 lib/cairo-dock/libcd-wifi.so
 lib/cairo-dock/libcd_gnome-integration.so
 lib/libCDApplet.so
-lib/pkgconfig/CDApplet.pc
 %%XFCE_INTEGRATION%%lib/cairo-dock/libcd_xfce-integration.so
 %%PYTHON_SITELIBDIR%%/CDApplet.py
 %%PYTHON_SITELIBDIR%%/CDApplet.pyc
@@ -55,6 +54,7 @@ lib/pkgconfig/CDApplet.pc
 %%PYTHON_SITELIBDIR%%/CDBashApplet-1.0-%%PYVER%%.egg-info
 %%PYTHON_SITELIBDIR%%/CairoDock.py
 %%PYTHON_SITELIBDIR%%/CairoDock.pyc
+libdata/pkgconfig/CDApplet.pc
 share/locale/he/LC_MESSAGES/cairo-dock-plugins.mo
 share/locale/hr/LC_MESSAGES/cairo-dock-plugins.mo
 share/locale/fr/LC_MESSAGES/cairo-dock-plugins.mo
@@ -485,7 +485,6 @@ share/cairo-dock/plug-ins/Xgamma/icon.pn
 share/cairo-dock/plug-ins/Xgamma/preview.jpg
 share/vala/vapi/CDApplet.vapi
 share/vala/vapi/CDApplet.deps
-@dirrmtry lib/pkgconfig
 @dirrm share/cairo-dock/plug-ins/clock/digital/default
 @dirrm share/cairo-dock/plug-ins/clock/digital
 @dirrm share/cairo-dock/plug-ins/clock/themes/default
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Antoine Brodin freebsd_committer 2013-12-24 10:27:56 UTC
State Changed
From-To: open->closed

Patch committed, thanks!